//
//  LineController.swift
//  Navigate
//
//  Created by Mark Meretzky on 12/3/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class LineController: UINavigationController {
	let titles: [String] = [
		"8th Avenue",
		"6th Avenue",
		"Union Square",
		"3rd Avenue",
		"1st Avenue",
		"Bedford Avenue"	//acrosss the East River, in Brooklyn
	];

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
		let firstStationController: StationController = StationController(title: titles[0]);
		pushViewController(firstStationController, animated: false);
	}

	//Called by the touchesEnded method of the StationController's view.

	func next() {
		if viewControllers.count < titles.count {
			//Haven't reached the end of the line yet.
			let nextStationController: StationController =
				StationController(title: titles[viewControllers.count]);
			pushViewController(nextStationController, animated: true);
		}
	}

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view.
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}
    

	/*
	// MARK: - Navigation

	// In a storyboard-based application, you will often want to do a little preparation before navigation
	override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
		// Get the new view controller using segue.destinationViewController.
		// Pass the selected object to the new view controller.
	}
	*/

}
